Summary:	GTK+ version of GGZ client
Summary(pl.UTF-8):	Klient GGZ napisany z użyciem GTK+
Name:		ggz-gtk-client
Version:	0.0.14.1
Release:	11
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://mirrors.dotsrc.org/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	87f67ff01f867bd04ba894a7c6a9f7fc
Source1:	%{name}.xpm
Patch0:		%{name}-desktop.patch
URL:		http://www.ggzgamingzone.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
# gaim plugin (obsolete, gaim has been replaced by pidgin)
#BuildRequires:	gaim-devel >= 1.5.0
BuildRequires:	gettext-tools
BuildRequires:	ggz-client-libs-devel >= 0.0.14
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libggz-devel >= 0.0.14
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GGZ core clients enable players to access the GGZ server to chat, meet
other people in the game lobbies, play with them, watch their scores,
and be spectator other people's games. This is GTK+ version of GGZ
client.

%description -l pl.UTF-8
Programy klienckie GGZ umożliwiają graczom dostęp do serwerów GGZ z
możliwością rozmowy, poznawania innych ludzi w grze, grania z nimi,
obserwowania punktacji oraz obserwowania rozgrywek innych ludzi. Ten
klient GGZ to wersja napisana z użyciem GTK+.

%package devel
Summary:	Header files for ggz-gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ggz-gtk
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ggz-client-libs-devel >= 0.0.14
Requires:	gtk+2-devel >= 1:2.0.0
Requires:	libggz-devel >= 0.0.14

%description devel
Header files for ggz-gtk library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ggz-gtk.

%package static
Summary:	Static ggz-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka ggz-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ggz-gtk library.

%description static -l pl.UTF-8
Statyczna biblioteka ggz-gtk.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I m4/ggz
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr@Latn,sr@latin}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS QuickStart.GGZ README* TODO
%attr(755,root,root) %{_bindir}/ggz-gtk
%attr(755,root,root) %{_libdir}/libggz-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggz-gtk.so.1
%{_datadir}/ggz/ggz-gtk-client
%{_datadir}/ggz/help
%{_desktopdir}/ggz-gtk.desktop
%{_mandir}/man6/ggz-gtk.6*
%{_pixmapsdir}/%{name}.xpm

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libggz-gtk.so
%{_libdir}/libggz-gtk.la
%{_includedir}/ggz-embed.h
%{_includedir}/ggz-gtk.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libggz-gtk.a
%changelog
* Wed Jul 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ggz-gtk-client.git;a=log;h=master

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> d26454f
- release 11 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7d02b04
- updated gettext BR

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> ce6ffac
- release 10 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f436976
- release 9 (by relup.sh)

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 19c4683
- working Source0 URL
- rename sr@Latn locale to sr@latin
- release 8

* Thu Nov 24 2011 lisu <lisu@pld-linux.org> d0d5460
- rel 7

* Wed Apr 13 2011 lisu <lisu@pld-linux.org> d3d4ccb
- rel 6

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 08d7258
- rel. 5

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> a22f73f
- rel 4
- more desktop categories

* Wed Feb 24 2010 pawelz <pawelz@pld-linux.org> fb398fe
- rel 3 (rebuild with libpng-1.4)

* Wed Feb 24 2010 pawelz <pawelz@pld-linux.org> 8d89595
- BR: gettext-devel

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d014b38
- release 2

* Sun Sep 14 2008 pawelz <pawelz@pld-linux.org> 4000277
- BR: libtool

* Sun Sep 14 2008 pawelz <pawelz@pld-linux.org> b89b251
- re-libtoolize sources before building

* Sat Aug 16 2008 Adam Gołębiowski <adamg@pld-linux.org> a122e70
- /usr/share/ggz belongs to libggz

* Tue Apr 01 2008 lisu <lisu@pld-linux.org> 02320d5
- up to 0.0.14.1

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 7d1e02d
- pl fixes
- added X11 to Groups
- more verbose files
- devel deps, BR: pkgconfig

* Sun Jan 27 2008 lisu <lisu@pld-linux.org> fa2b303
- group changed to Applications/Games

* Sun Jan 27 2008 lisu <lisu@pld-linux.org> 7fc55c4
- new icon file

* Sun Jan 27 2008 lisu <lisu@pld-linux.org> 810a6b5
- add pl, icon

